Skip to main content
POST
Events - List

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

The constraints that can be applied when listing Events.

The constraints to apply when filtering events.

created_after
string<date-time> | null

Filter events created after the specified time.

created_before
string<date-time> | null

Filter events created before the specified time.

limit
integer<int32> | null

Include at most the specified number of events.

Required range: x >= 0
offset
integer<int32> | null

Include events after the specified offset.

Required range: x >= 0
object_id
string | null

Filter all events associated with the specified object identifier (Payment Intent ID, Refund ID, etc.)

profile_id
string | null

Filter all events associated with the specified business profile ID.

event_classes
enum<string>[] | null

Filter events by their class.

Available options:
payments,
refunds,
disputes,
mandates,
payouts
event_types
enum<string>[] | null

Filter events by their type.

Available options:
payment_succeeded,
payment_failed,
payment_processing,
payment_cancelled,
payment_cancelled_post_capture,
payment_authorized,
payment_partially_authorized,
payment_captured,
payment_expired,
action_required,
refund_succeeded,
refund_failed,
dispute_opened,
dispute_expired,
dispute_accepted,
dispute_cancelled,
dispute_challenged,
dispute_won,
dispute_lost,
mandate_active,
mandate_revoked,
payout_success,
payout_failed,
payout_initiated,
payout_processing,
payout_cancelled,
payout_expired,
payout_reversed
is_delivered
boolean | null

Filter all events by is_overall_delivery_successful field of the event.

Response

200 - application/json

List of Events retrieved successfully

The response body of list initial delivery attempts api call.

events
object[]
required

The list of events

total_count
integer<int64>
required

Count of total events